<?php
/*******************************************************************************
 *                    _ _ _ _
 *                   / _ _  /
 *            _ _   / /__/ /_ _   ____ _ _   _ _ _    __
 *           / _ ` /   _ _// _ ` / __// _ ` / _ \\ \ / /
 *          / _ _// /\ \  / _ _/ \_ \/ _ _// / \/ \ ` /
 *          \_ , /_/  \_\ \_ ,  /__ /\_ , /_/      \_/
 *
 *******************************************************************************
 *    Application:  eReserv
 *    Version:      6
 *    Author:       David Di Certo
 *    Website:      http://www.cogites.com
 *    Email:        contact@cogites.com
 *    Copyright:    2013 - David Di Certo
 *******************************************************************************
 *    == FR ==      La revente et la redistribution de l'application sont
 *                  strictement interdites.
 *
 *                  Vous êtes tenu d'avoir pris connaissance des
 *                  Conditions Générales de Vente disponibles sur Cogites.com
 *                  (y compris pour la version Free).
 *
 *    == EN ==      Resale and redistribution of the application are
 *                  Strictly prohibited.
 *
 *                  You are required to have read the Terms and Conditions
 *                  available on Cogites.com (including the Free version).
 *
 *******************************************************************************
*/

class TenantVo {

	public $tenant_id;
	public $recorddate;
	public $enable;
	public $title;
	public $name;
	public $lastname;
	public $address1;
	public $address2;
	public $zipcode;
	public $city;
	public $country;
	public $phone;
	public $cellphone;
	public $fax;
	public $email;
	public $newsletter;
	public $comment;
	public $reference;
	public $language;

    public function __construct(array $data = array())
    {
        foreach($data as $key => $value) {
			if ($key=='tenant_id') $this->tenant_id = $value;
			if ($key=='recorddate') $this->recorddate = $value;
			if ($key=='enable') $this->enable = $value;
			if ($key=='title') $this->title = $value;
			if ($key=='name') $this->name = $value;
			if ($key=='lastname') $this->lastname = $value;
			if ($key=='address1') $this->address1 = $value;
			if ($key=='address2') $this->address2 = $value;
			if ($key=='zipcode') $this->zipcode = $value;
			if ($key=='city') $this->city = $value;
			if ($key=='country') $this->country = $value;
			if ($key=='phone') $this->phone = $value;
			if ($key=='cellphone') $this->cellphone = $value;
			if ($key=='fax') $this->fax = $value;
			if ($key=='email') $this->email = $value;
			if ($key=='newsletter') $this->newsletter = $value;
			if ($key=='comment') $this->comment = $value;
			if ($key=='reference') $this->reference = $value;
			if ($key=='language') $this->language = $value;
	      }
    }

}
?>